Name:           python-cmap
Version:        0.3.0
Release:        %mkrel 1
Summary:        Scientific colormaps for python, without dependencies
Group:          Development/Python

License:        BSD-3-Clause
URL:            https://github.com/tlambert03/cmap
Source:         %{pypi_source cmap}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
With cmap, you can use any of the colormaps from matplotlib, cmocean,
colorbrewer, crameri, seaborn, and a host of other collections in your python
code, without having to install matplotlib or any other dependencies
beyond numpy.
cmap is a lightweight, library that provides a large collection of colormaps
with no dependencies beyond numpy. It provides exports to a number of known
third-party colormap objects, allowing it to be used across a wide range
of python visualization libraries. The intention is to provide a library that
can be used by any python library that needs colormaps, without forcing the user
to install matplotlib.}

%description %_description

%package -n     python3-cmap
Summary:        %{summary}

%description -n python3-cmap %_description


%prep
%autosetup -p1 -n cmap-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files cmap


%check
%pyproject_check_import


%files -n python3-cmap -f %{pyproject_files}
%doc README.md
%license LICENSE



%changelog
* Sat Sep 14 2024 papoteur <papoteur> 0.3.0-1.mga10
+ Revision: 2096486
- import for superqt and spyder

